***************
extract package
***************

The Extract Package handles the various plugins available for extracting face sets in Faceswap.

.. contents:: Contents
   :local:


pipeline module
===============
.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~plugins.extract.pipeline.ExtractMedia
   ~plugins.extract.pipeline.Extractor

.. rubric:: Module

.. automodule:: plugins.extract.pipeline
   :members:
   :undoc-members:
   :show-inheritance:


_base module
============
.. automodule:: plugins.extract._base
   :members:
   :undoc-members:
   :show-inheritance:


align plugins package
=====================
.. contents:: Contents
   :local:

align._base.aligner module
--------------------------
.. automodule:: plugins.extract.align._base.aligner
   :members:
   :undoc-members:
   :show-inheritance:

align._base.processing module
-----------------------------
.. automodule:: plugins.extract.align._base.processing
   :members:
   :undoc-members:
   :show-inheritance:

align.cv2_dnn module
-------------------
.. automodule:: plugins.extract.align.cv2_dnn
   :members:
   :undoc-members:
   :show-inheritance:

align.fan module
-------------------
.. automodule:: plugins.extract.align.fan
   :members:
   :undoc-members:
   :show-inheritance:


detect plugins package
======================
.. contents:: Contents
   :local:

detect._base module
-------------------
.. automodule:: plugins.extract.detect._base
   :members:
   :undoc-members:
   :show-inheritance:

detect.mtcnn module
-------------------
.. automodule:: plugins.extract.detect.mtcnn
   :members:
   :undoc-members:
   :show-inheritance:


mask plugins package
====================
.. contents:: Contents
   :local:

mask._base module
-----------------
.. automodule:: plugins.extract.mask._base
   :members:
   :undoc-members:
   :show-inheritance:

mask.bisenet_fp module
----------------------
.. automodule:: plugins.extract.mask.bisenet_fp
   :members:
   :undoc-members:
   :show-inheritance:


recognition plugins package
===========================
.. contents:: Contents
   :local:

recognition._base module
------------------------
.. automodule:: plugins.extract.recognition._base
   :members:
   :undoc-members:
   :show-inheritance:


recognition.vgg_face2 module
----------------------------
.. automodule:: plugins.extract.recognition.vgg_face2
   :members:
   :undoc-members:
   :show-inheritance:
